Skip to main content
GET
/
v3
/
languages
Retrieve Languages
curl --request GET \
  --url https://api.deepl.com/v3/languages \
  --header 'Authorization: <api-key>'
[
  {
    "lang": "de",
    "name": "German",
    "usable_as_source": true,
    "usable_as_target": true,
    "features": [
      "formality",
      "tag_handling",
      "glossary"
    ]
  },
  {
    "lang": "en",
    "name": "English",
    "usable_as_source": true,
    "usable_as_target": false,
    "features": [
      "tag_handling",
      "glossary"
    ]
  },
  {
    "lang": "en-US",
    "name": "English (American)",
    "usable_as_source": false,
    "usable_as_target": true,
    "features": [
      "tag_handling",
      "glossary"
    ]
  }
]
This endpoint is available for testing in BETA. Breaking changes may be pushed with little or no advance notice, and we provide no guarantees of stability.

Authorizations

Authorization
string
header
required

Authentication with Authorization header and DeepL-Auth-Key authentication scheme. Example: DeepL-Auth-Key <api-key>

Query Parameters

product
enum<string>
required

The product to retrieve languages for. Supported values: translate_text, translate_document, glossary, voice, write.

Available options:
translate_text,
translate_document,
glossary,
voice,
write

Response

JSON array where each item represents a supported language.

lang
string
required

The language code (BCP 47).

Example:

"de"

name
string
required

Name of the language in English.

Example:

"German"

usable_as_source
boolean
required

Whether this language can be used as a source language with the specified product.

usable_as_target
boolean
required

Whether this language can be used as a target language with the specified product.

features
enum<string>[]
required

Features supported for this language with the specified product. Always present; empty array if no optional features are supported. Consult /v3/languages/products to determine whether a feature must be present on the source language, target language, or both for a given product.

Available options:
formality,
custom_instructions,
tag_handling,
glossary,
writing_style,
tone
Example:
["formality", "tag_handling", "glossary"]